﻿using System.Security.RightsManagement;

namespace chatclient.Data
{
    internal class Server 
    {
        public const string ServerUrl = "http://127.0.0.1:5001";
        public const string ServerIP = "127.0.0.1";
        public const int ServerPort = 8889;
    }
    internal class LoginData
    {
        public string? type { get; set; } = null;
        public string? username { get; set; } = null;
        public string? password { get; set; } = null;
        public string? token { get; set; } = null;
    }
    internal class LoginResultData
    {
        public string? status { get; set; }
        public string? message { get; set; }
        public string? token { get; set; }
        public string? username { get; set; }
    }
    internal class SignData
    {
        public string? type { get; set; } = null;
        public string? username { get; set; } = null;
        public string? password { get; set; } = null;
    }
    internal class SignResultData
    {
        public bool success { get; set; } = false;
        public string? message { get; set; } = null;
    }
    internal class RegisterData
    {
        public string? type { get; set; } 
    }
    internal class ChatRegisterData
    {
        public string? user { get; set; } = "Unnamed";
        public string? status { get; set; } = null;
        public string? message { get; set; } = null;
        public string? image { get; set; } = null;
        public DateTime timestamp { get; set; } = DateTime.Now;
    }
    internal class ChatData
    {
        public required string type { get; set; } = "chat";
        public required string message { get; set; } = "message";
    }
}
